Bug 982359 - Horizon will not display security rules when adding new rule to default by CLI
Horizon will not display security rules when adding new rule to default by CLI
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: Upstream M1
: 4.0
Assigned To: Julie Pichon
Roey Dekel
: Triaged
Depends On:
Blocks: 997920
  Show dependency treegraph
 
Reported: 2013-07-08 15:21 EDT by Ofer Blaut
Modified: 2016-04-27 01:16 EDT (History)
8 users (show)

See Also:
Fixed In Version: python-django-horizon-2013.2-0.4.1b2.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 997920 (view as bug list)
Environment:
Last Closed: 2013-12-19 19:13:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Horizon log file (1.94 KB, text/plain)
2013-07-08 15:21 EDT, Ofer Blaut
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1165095 None None None Never
OpenStack gerrit 37431 None None None Never
Red Hat Product Errata RHEA-2013:1859 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-20 19:01:48 EST

  None (edit)
Description Ofer Blaut 2013-07-08 15:21:21 EDT
Created attachment 770637 [details]
Horizon log file

Description of problem:

Horizon will not display security rules when adding new rule to default  
Output will be " Something went wrong! "
Horizon log file attached 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.view security rule using default security group 
2.add new rule " $quantum  security-group-rule-create  default --direction ingress --protocol udp  --port-range-min 100 --port-range-max 200"
3.try to edit security group again in GUI you will get an error 

Actual results:


Expected results:


Additional info:
Comment 1 Ofer Blaut 2013-07-08 15:25:25 EDT
The new rule is added in CLI, but cause error in GUI  , until it is removed
Comment 2 Julie Pichon 2013-07-16 12:36:00 EDT
Overall, quantum security group management will greatly improve in Havana thanks to https://blueprints.launchpad.net/horizon/+spec/quantum-security-group .

For this particular error however, commit 706560f6d2 would be sufficient to fix it and could be considered for a backport to Grizzly.
Comment 3 Julie Pichon 2013-08-06 03:52:05 EDT
Fixed upstream for Havana in M1, and backported to Grizzly - it should be part of 2013.1.3 on Aug 8th.
Comment 4 Ofer Blaut 2013-08-11 02:05:59 EDT
Hi Lon
What info is needed ? 

Ofer
Comment 6 Roey Dekel 2013-10-13 07:53:23 EDT
Verified on Havana running rhel6.5 with:
openstack-neutron-2013.2-0.3.3.b3.el6ost.noarch
python-django-horizon-2013.2-0.13b3.el6ost.noarch

I've added 2 rules by CLI and then 1 rule by GUI. The security-group-rule-list afterwards was:
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| id                                   | security_group | direction | protocol | remote_ip_prefix | remote_group |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| 0299a845-7ddf-4ee9-adb0-c85af6db72e5 | default        | ingress   | icmp     |                  |              |
| 43117c91-a5f3-4fd1-a95c-9206e05ec5bd | default        | egress    |          |                  |              |
| 54e197d0-1f89-47a0-ac6c-d37c14e44493 | default        | ingress   |          |                  | default      |
| 57c8ce31-2ee2-46e4-aa36-de9b45021e61 | default        | ingress   | udp      |                  |              |
| 5cdaf516-66bd-45c3-acd0-4008fdd231c9 | default        | egress    | udp      |                  | default      |
| 6bfd4855-f889-4f43-96ee-f60f83828891 | default        | ingress   |          |                  | default      |
| 7fd8e368-6e47-4319-89c4-2a8bf17c7cee | default        | egress    |          |                  |              |
| 94e6b451-e42d-422d-8602-3fa6c1b4f59e | default        | ingress   |          |                  | default      |
| f1447506-53d3-4f4a-99b9-a608207cf7af | default        | ingress   |          |                  | default      |
| f40248f7-ad75-468f-8fae-0a8d92d1a4eb | default        | egress    |          |                  |              |
| f53106c0-1573-4afc-83da-ff0f6aac5002 | default        | egress    |          |                  |              |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
so did the Horizon.

Then I deleted 2 rules via the Horizon, and the table was:
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| id                                   | security_group | direction | protocol | remote_ip_prefix | remote_group |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
| 0299a845-7ddf-4ee9-adb0-c85af6db72e5 | default        | ingress   | icmp     |                  |              |
| 43117c91-a5f3-4fd1-a95c-9206e05ec5bd | default        | egress    |          |                  |              |
| 54e197d0-1f89-47a0-ac6c-d37c14e44493 | default        | ingress   |          |                  | default      |
| 6bfd4855-f889-4f43-96ee-f60f83828891 | default        | ingress   |          |                  | default      |
| 7fd8e368-6e47-4319-89c4-2a8bf17c7cee | default        | egress    |          |                  |              |
| 94e6b451-e42d-422d-8602-3fa6c1b4f59e | default        | ingress   |          |                  | default      |
| f1447506-53d3-4f4a-99b9-a608207cf7af | default        | ingress   |          |                  | default      |
| f40248f7-ad75-468f-8fae-0a8d92d1a4eb | default        | egress    |          |                  |              |
| f53106c0-1573-4afc-83da-ff0f6aac5002 | default        | egress    |          |                  |              |
+--------------------------------------+----------------+-----------+----------+------------------+--------------+
and the Horizon was correct.
Comment 8 Julie Pichon 2013-12-10 04:44:09 EST
I don't think this requires doc text for 4.0, as it was superseded by the new improved Neutron Security Groups management feature later on during the development cycle.
Comment 10 errata-xmlrpc 2013-12-19 19:13:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.